=== debian/changelog ===
libinnodb (1.0.6.6750-1) unstable; urgency=low

  * New upstream release.
  * Removed old patch for pthread lib.
  * New library version - libinnodb3.
  * Removed .la files from the install.

 -- Monty Taylor <mordred@inaugust.com>  Tue, 16 Mar 2010 12:31:01 -0700

libinnodb (1.0.3.5325-1) unstable; urgency=low

  * Initial release (Closes: #568590)

 -- Monty Taylor <mordred@inaugust.com>  Fri, 05 Feb 2010 16:11:08 -0800
