=== debian/control ===
Source: libinnodb
Priority: extra
Maintainer: Monty Taylor <mordred@inaugust.com>
Uploaders: Stewart Smith <stewart@flamingspork.com>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, zlib1g-dev, quilt, automake, autoconf, libtool
Standards-Version: 3.8.4
Section: libs
Homepage: http://www.innodb.com/products/embedded-innodb
Vcs-Browser: http://bazaar.launchpad.net/~drizzle-developers/pkg-libinnodb/trunk/files
Vcs-Bzr: http://bazaar.launchpad.net/~drizzle-developers/pkg-libinnodb/trunk

Package: libinnodb-dev
Section: libdevel
Architecture: any
Depends: libinnodb3 (= ${binary:Version}), zlib1g-dev, ${shlibs:Depends}, ${misc:Depends}
Description: Embedded InnoDB Library (dev files)
 Embedded InnoDB is used independently of MySQL. It is not a plugin, nor a 
 storage engine for MySQL. It is designed to be linked directly into 
 application programs, and provides highly efficient, low-level database
 management services, not using SQL
 .
 This package contains headers and other development files.

Package: libinnodb-dbg
Section: debug
Architecture: any
Depends: libinnodb3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Embedded InnoDB Library (debug files)
 Embedded InnoDB is used independently of MySQL. It is not a plugin, nor a 
 storage engine for MySQL. It is designed to be linked directly into 
 application programs, and provides highly efficient, low-level database
 management services, not using SQL
 .
 This package contains debuging symbols.

Package: libinnodb3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g
Description: Embedded InnoDB Library
 Embedded InnoDB is used independently of MySQL. It is not a plugin, nor a 
 storage engine for MySQL. It is designed to be linked directly into 
 application programs, and provides highly efficient, low-level database
 management services, not using SQL
 .
 This package contains the shared library.
