=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

TMP=$(CURDIR)/debian/tmp/

override_dh_auto_configure:
	autoreconf -fi
	dh_auto_configure

override_dh_auto_test:


build: patch build-stamp
build-stamp:
	dh build
	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh clean

install: build install-stamp
install-stamp:
	dh --until auto_install install
	# Run gensymbols
	dpkg-gensymbols -c1 -plibinnodb2 -P${TMP}
	dh --remaining install
	mv ${TMP}/usr/share/embedded_innodb-1.0/examples ${CURDIR}/debian/libinnodb-dev/usr/share/doc/libinnodb-dev
	touch install-stamp


binary-arch: install
	dh binary-arch --before strip
	dh_strip --dbg-package=libinnodb-dbg
	dh binary-arch --after strip


binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

get-orig-source:
	uscan --verbose --force-download --rename --repack --destdir=..

.PHONY: clean-patched patch unpatch get-orig-source
